import { generatePath } from "react-router-dom";
import { getNavigationValue } from "@brojs/cli";
import { Order } from "../models";

export const URLs = {
  landing: {
    url: getNavigationValue("dry-wash.main"),
    getUrl() {
      return this.url;
    }
  },
  orderForm: {
    url: getNavigationValue("dry-wash.create"),
    getUrl() {
      return this.url;
    }
  },
  orderView: {
    url: getNavigationValue("dry-wash.view.order"),
    getUrl(orderId: Order.Id) {
      return generatePath(this.url, { orderId });
    }
  }
};